[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTreeNodeEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Enumerator for the TAVLTree tree nodes

## Declaration

Source position: avl_tree.pp line 68

`type TAVLTreeNodeEnumerator = class`
`public`
`constructor Create();` |  | Create a new instance of TAVLTreeNodeEnumerator
`function GetEnumerator;` |  | Returns the enumerator
`function MoveNext;` |  | Move to next node in the tree.
`property Current: TAVLTreeNode; [r]` |  | Current node in the tree
`property LowToHigh: Boolean; [r]` |  | Should the enumerator return nodes from low to high or high to low
`end;`

## Inheritance

`TAVLTreeNodeEnumerator` |  | Enumerator for the TAVLTree tree nodes
`TObject`

## Description

TAVLTreeNodeEnumerator is a class which implements the enumerator interface for the TAVLTree. It enumerates all the nodes in the tree.

## See also

TAVLTree |  | AVL tree component